QGIS Application - Bug report #6727
CRS functions are enabled for non-spatial tables
2012-11-18 05:28 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 15891
Description

Add this layer: https://issues.qgis.org/attachments/5091/Book1.csv
Right-click on it in the layers list. "Set layer CRS" and "Set project CRS from layer" are available.
Click "layer>properties>general". QGIS will claim that the layer CRS is WGS 84 (or maybe your default CRS), and the "Specify CRS" and

"Update Extents" button will be available. But this is a non-spatial table, so it shouldn't have a CRS!

Now, why | noticed this:

If the project CRS is WGS 84, when | add this layer it adds immediately.

If the project CRS is something else like EPSG:2193, when | add this layer it takes a long time, and when | check in the log there is a CRS
message: "Transform error caught: forward transform of (0.000000, 0.000000)...". But this is a non-spatial table, so there shouldn't be
anything to transform!

History

#1 - 2012-11-19 03:20 PM - Alister Hood

Non-spatial tables also appear in the "layer order" panel, and they even have checkboxes (they do not have checkboxes in the "Layers" panel).

#2 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

2025-12-15 1/1



https://issues.qgis.org/attachments/5091/Book1.csv
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

